> For the complete documentation index, see [llms.txt](https://docs.alphageo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphageo.ai/for-developers/alphageo-data-api/global-climate-risk-index-api.md).

# Climate Risk and Resilience Index (CRRI) API

The CRRI Scores API allows you to retrieve physical climate risk and resilience-adjusted risk scores for any location globally.

## Endpoint

<pre class="language-rest"><code class="lang-rest"><strong>GET https://app.alphageo.ai/api/public/v1/scores
</strong></code></pre>

## Parameters

<table><thead><tr><th>Parameters</th><th data-type="checkbox">Required</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>asset_id</td><td>false</td><td>string (UUID)</td><td>The unique identifier of an asset uploaded to your institution's account.</td></tr><tr><td>address</td><td>false</td><td>string</td><td>Full address of the location</td></tr><tr><td>period</td><td>true</td><td>string</td><td><p>Time period.</p><p><em>Available values</em> : 2025, 2035, 2050, 2100</p></td></tr><tr><td>scenario</td><td>true</td><td>string</td><td><p>Identifier for CMIP6 Emission Scenarios.</p><p><em>Available values</em> : SSP245, SSP370, SSP585</p></td></tr><tr><td>longitude</td><td>false</td><td>number</td><td>Longitude of the location that being queried.</td></tr><tr><td>latitude</td><td>false</td><td>number</td><td>Latitude of the location that being queried.</td></tr></tbody></table>

### Query Validation Priority

When calling this endpoint, you must provide **at least one** way to identify the location. If multiple parameters are supplied, the API resolves the query using the following precedence:

1. **`asset_id`**: If provided, the API looks up the asset under your institution's profile.
   1. **`latitude` & `longitude`**: If `asset_id` is not provided, the API looks up data by coordinates.
2. **`address`**: If neither of the above are provided, the API performs geocoding to resolve coordinates.

If none of these parameters are supplied, the API returns a `400 Bad Request` with an error message.

## Example requests

#### cURL

```bash
$ curl --location 'https://app.alphageo.ai/api/public/v1/scores?longitude=-97.2805288&latitude=32.7376509&period=2035&scenario=SSP245' \
--header 'Authorization: dse3X8de878c37b2fd6835c52390303fk15fc3'
```

#### Python

```python
import requests

url = "https://app.alphageo.ai/api/public/v1/scores?longitude=-97.2805288&latitude=32.7376509&period=2035&scenario=SSP245"

payload = {}
headers = {
  'Authorization': 'dse3X8de878c37b2fd6835c52390303fk15fc3'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

## Example response

A successful response containing physical climate risk and resilience-adjusted risk scores of the given location.

```json
{
  "identifiers": {
    "SCENARIO": "SSP245",
    "PERIOD": "2035"
  },
  "overall_indicators": {
    "OVERALL_RISK_SCORE_PCT": 78,
    "OVERALL_RAJ_SCORE_PCT": 73,
    "OVERALL_RISK_SCORE": 40,
    "OVERALL_RAJ_SCORE": 27
  },
  "heat_stress": {
    "HEAT_SCORE": 80,
    "HEAT_RAJ_SCORE": 60
  },
  "inland_flooding": {
    "INLAND_SCORE": 10,
    "INLAND_RAJ_SCORE": 10
  },
  "coastal_flooding": {
    "COASTAL_SCORE": 0,
    "COASTAL_RAJ_SCORE": 0
  },
  "drought": {
    "DROUGHT_SCORE": 30,
    "DROUGHT_RAJ_SCORE": 20
  },
  "hurricane_wind": {
    "WIND_SCORE": 80,
    "WIND_RAJ_SCORE": 40
  },
  "wildfire": {
    "FIRE_SCORE": 0,
    "FIRE_RAJ_SCORE": 0
  },
  "hail": {
    "HAIL_SCORE": 80,
    "HAIL_RAJ_SCORE": 60
  },
  "data_version": "Aug 2024"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alphageo.ai/for-developers/alphageo-data-api/global-climate-risk-index-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
